-----------------------------------------------------------------------------
--
-----------------------------------------------------------------------------
function CF_IsMissionAvailable(modulename , missionnumber)
	if missionnumber == 1 then
		return true;
	end
	
	local missions = CF_ReadMissionArray(modulename);
	
	if missionnumber <= #missions then
		return missions[missionnumber];
	else
		return false;
	end
end
-----------------------------------------------------------------------------
-- 
-----------------------------------------------------------------------------
function CF_MakeMissionAvailable(modulename , missionnumber)
	io = require("io");
	local missions = CF_ReadMissionArray(modulename);
	
	if missionnumber <= #missions then
		missions[missionnumber] = true;
	else
		for i = #missions + 1 , missionnumber do
			missions[i] = false;
		end
		missions[missionnumber] = true;
	end
	
	local file = io.open(".\\"..modulename.."\\CampaignData\\missions.dat" , "w");
	
	for i = 1 , #missions do
		file:write(tostring(missions[i]).."\n");
	end
	
	file:close();
end
-----------------------------------------------------------------------------
-- 
-----------------------------------------------------------------------------
function CF_ReadMissionArray(modulename)
	io = require("io");
	local missions = {};
	
	for line in io.lines(".\\"..modulename.."\\CampaignData\\missions.dat") do
		if string.find(line, "true") ~= nil then
			missions[#missions + 1] = true;
		else
			missions[#missions + 1] = false;
		end
	end
	
	return missions;
end
-----------------------------------------------------------------------------
-- 
-----------------------------------------------------------------------------

